<template lang="pug">
router-link(:to="to").category(:class="item.class")
  span.category__title {{ item.title }}
</template>

<script>
import FormInput from '@/components/parts/FormInput.vue'

export default {
  name: 'Category',
  props: {
    item: Object
  },
  computed: {
    to() {
      const { item } = this
      return (item.class === 'all')
        ? { name: 'Events' }
        : { name: 'EventsType', params: { type: item.class } }
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.category
  color: black
  width: 100%
  border: none
  filter: invert(100%)
  flex-grow: 1
  height: 90px
  display: flex
  justify-content: flex-end
  flex-direction: column
  align-items: center
  padding: 5px
  background-position: center 10px !important
  background-size: 60px !important
  background-repeat: no-repeat !important
  text-decoration: none
  font-weight: 700
  font-size: 0.9em
  font-family: 'Open Sans', sans-serif
  &::after, &::before
    content: ''
    height: 82px
    position: absolute
    right: 0px
    top: 10px
    width: 1px
    background: black
  &::before
    left: 0px
  &.social
    background: url('../../assets/icon_social.png')
  &.all
    background: url('../../assets/icon_all.png')
  &.science
    background: url('../../assets/icon_science.png')
  &.sport
    background: url('../../assets/icon_sport.png')
  &.tech
    background: url('../../assets/icon_tech.png')
  &.paint
    background: url('../../assets/icon_paint.png')
  &:last-child
    &::after
      content: none
  &:first-child
    &::before
      content: none
  &.router-link-exact-active
    background-color: #ddd
    filter: invert(0)
    &::after, &::before
      background: transparent
</style>
